<eui-dialog
  #confirmation
  [height]="'95vh'"
  [title]="translations?.title | translate"
  [isHandleCloseOnAccept]="true"
  [isHandleCloseOnDismiss]="true"
  [isHandleCloseOnEscape]="true"
  [hasNoBodyPadding]="true"
  [isHandleCloseOnClickOutside]="true"
  (accept)="onAccept()"
  (clickOutside)="closeDialog()"
  (escape)="closeDialog()"
  (dialogClose)="closeDialog()">
  <div class="cs-bg-gradient-primary eui-u-ph-m eui-u-pv-xs">
    <div class="eui-u-display-flex eui-u-flex-justify-content-start eui-u-flex-align-items-center">
      <div><img src="assets/images/confirmation-image.png" /></div>
      <div class="eui-u-pl-m">
        <h1 class="eui-u-m-none eui-u-p-none eui-u-f-bold-3xl">Final check</h1>
        <p class="eui-u-f-m eui-u-m-none eui-u-mt-2xs eui-u-p-none">Confirm you want to add this user</p>
      </div>
    </div>
    <div>
      <ng-content />
    </div>
  </div>
  <eui-dialog-footer>
    <div class="eui-u-display-flex eui-u-flex-justify-content-between eui-u-bg-color-primary-0 eui-u-p-l">
      <div *ngIf="config?.showLeftMainButton" (click)="closeDialog()">
        <button euiButton>{{ translations?.leftMainButtonLabel | translate }}</button>
      </div>
      <div>
        <button *ngIf="config?.showRightSecondaryButton" class="eui-u-mr-l" euiButton>
          {{ translations?.rightSecondaryButtonLabel | translate }}
        </button>
        <button *ngIf="config?.showRightMainButton" euiButton euiPrimary (click)="onAccept()">
          {{ translations?.rightMainButtonLabel | translate }}
        </button>
      </div>
    </div>
  </eui-dialog-footer>
</eui-dialog>
